#!/bin/dash

DEBUGOPTS="-file-line-error -recorder -halt-on-error"
#DEBUGOPTS="-file-line-error -recorder"
#DEBUGOPTS=""

cp -fv juhtolv_matikan_essee_sisalto_01.tex Palatino-XeLaTeX/
cp -fv juhtolv_matikan_essee_sisalto_01.tex Palatino/
cp -fv juhtolv_matikan_essee_sisalto_01.tex Vera/
cp -fv juhtolv_matikan_essee_kokeilu_01.tex Palatino-XeLaTeX/
cp -fv juhtolv_matikan_essee_kokeilu_01.tex Palatino/
cp -fv juhtolv_matikan_essee_kokeilu_01.tex Vera/

# Tyhmä häkkäys:
cd auto


cd ../Palatino-XeLaTeX/
rm -fv juhtolv_matikan_essee_Palatino_XeLaTeX_01.pdf
rm -fv juhtolv_matikan_essee_Palatino_XeLaTeX_01.ps
xelatex -src-specials $DEBUGOPTS juhtolv_matikan_essee_Palatino_XeLaTeX_01.tex
while grep 'Rerun to get' juhtolv_matikan_essee_Palatino_XeLaTeX_01.log > /dev/null
do
    xelatex -src-specials $DEBUGOPTS juhtolv_matikan_essee_Palatino_XeLaTeX_01.tex
done
xelatex -src-specials $DEBUGOPTS juhtolv_matikan_essee_Palatino_XeLaTeX_01.tex
pdftops -level2 -paper A4 -expand juhtolv_matikan_essee_Palatino_XeLaTeX_01.pdf

cd ../Vera
rm -fv juhtolv_matikan_essee_Vera_01.pdf
rm -fv juhtolv_matikan_essee_Vera_01.ps
pdflatex -src-specials $DEBUGOPTS juhtolv_matikan_essee_Vera_01.tex
while grep 'Rerun to get' juhtolv_matikan_essee_Vera_01.log > /dev/null
do
    pdflatex -src-specials $DEBUGOPTS juhtolv_matikan_essee_Vera_01.tex
done
pdflatex -src-specials $DEBUGOPTS juhtolv_matikan_essee_Vera_01.tex
pdftops -level2 -paper A4 -expand juhtolv_matikan_essee_Vera_01.pdf


cd ../Palatino/
rm -fv juhtolv_matikan_essee_Palatino_01.pdf
rm -fv juhtolv_matikan_essee_Palatino_01.ps
pdflatex -src-specials $DEBUGOPTS juhtolv_matikan_essee_Palatino_01.tex
while grep 'Rerun to get' juhtolv_matikan_essee_Palatino_01.log > /dev/null
do
    pdflatex -src-specials $DEBUGOPTS juhtolv_matikan_essee_Palatino_01.tex
done
pdflatex -src-specials $DEBUGOPTS juhtolv_matikan_essee_Palatino_01.tex
pdftops -level2 -paper A4 -expand juhtolv_matikan_essee_Palatino_01.pdf


