#!/bin/zsh

export XZ_DEFAULTS="-9e --memlimit-compress=70%"

cd ${HOME}/www/tex/latex/oppikirjamaraton || exit 1
rm -rfv ./*

cd ${HOME}/seka/tex/latex/oppikirjamaraton || exit
./purgeall.sh
./compileall.sh
./purgeall.sh


cp -a  Palatino  Palatino-XeLaTeX Vera *.sh *.tex  ${HOME}/www/tex/latex/oppikirjamaraton/

cd ${HOME}/www/tex/latex/oppikirjamaraton || exit 1
rm -rfv ./*/auto

cd  ${HOME}/www/tex/latex/ || exit 1
tar cvvvvf - oppikirjamaraton | gzip -9v > oppikirjamaraton.tar.gz
tar cvvvvf - oppikirjamaraton | bzip2 -9v > oppikirjamaraton.tar.bz2
tar cvvvvf - oppikirjamaraton | xz -v > oppikirjamaraton.tar.xz
7z a -t7z -m0=lzma -mx=9 -mfb=64 -md=32m -ms=on  oppikirjamaraton.7z oppikirjamaraton
mv -fv oppikirjamaraton.* oppikirjamaraton/

cd ${HOME}/www/tex/latex/oppikirjamaraton || exit 1
echo chmod -Rv ugo+rX,go-w,u+w .
chmod -Rv ugo+rX,go-w,u+w .

echo 'chmod -v ugo-x **/*(.)'
chmod -v ugo-x **/*(.)


